# Interface methods for submodule: VariableSizeMatrix
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: VariableSizeMatrix
class VariableSizeMatrixProxy():
	def __call__(self, row: int, col: int) -> float:
		""""""
		...

	def GetVnlMatrix(self) -> vnl_matrix:
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def Fill(self, value: float) -> None:
		""""""
		...

	def GetInverse(self) -> vnl_matrix:
		""""""
		...

	def GetTranspose(self) -> vnl_matrix:
		""""""
		...

	def Rows(self) -> int:
		""""""
		...

	def Cols(self) -> int:
		""""""
		...

	def SetSize(self, r: int, c: int) -> bool:
		""""""
		...

